Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types.principal
Class ExternalPrincipal_c

    java.lang.Object
      polyglot.types.TypeObject_c
          jif.types.principal.Principal_c
              jif.types.principal.ExternalPrincipal_c

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Param, ExternalPrincipal, Principal, polyglot.types.TypeObject, polyglot.util.Copy

    public class ExternalPrincipal_c

extends Principal_c
implements ExternalPrincipal

An implementation of the `ExternalPrincipal` interface.

See Also:
  Serialized Form

Field Summary

Fields inherited from class jif.types.principal.Principal_c
`variables`

Fields inherited from class polyglot.types.TypeObject_c
`position, ts`

Constructor Summary
`ExternalPrincipal_c(java.lang.String name, JifTypeSystem ts, polyglot.util.Position pos)`
`ExternalPrincipal_c(java.lang.String name, JifTypeSystem ts, PrincipalToJavaExpr toJava, polyglot.util.Position pos)`

Method Summary
`boolean` | `equalsImpl(polyglot.types.TypeObject o)` Compares the specified object with this principal for equality.
`int` | `hashCode()`
`boolean` | `isCanonical()`
`boolean` | `isRuntimeRepresentable()`
`java.lang.String` | `name()`
`java.lang.String` | `toString()`

Methods inherited from class jif.types.principal.Principal_c
`hasVariables, isBottomPrincipal, isTopPrincipal, labelCheck, simplify, subst, throwTypes, toJava, variables`

Methods inherited from class polyglot.types.TypeObject_c
`copy, equals, position, typeSystem`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jif.types.principal.Principal
`hasVariables, isBottomPrincipal, isTopPrincipal, labelCheck, simplify, subst, throwTypes, toJava, variables`

Methods inherited from interface polyglot.types.TypeObject
`position, typeSystem`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### ExternalPrincipal_c

    public ExternalPrincipal_c(java.lang.String name,
                               JifTypeSystem ts,
                               polyglot.util.Position pos)

### ExternalPrincipal_c

    public ExternalPrincipal_c(java.lang.String name,
                               JifTypeSystem ts,
                               PrincipalToJavaExpr toJava,
                               polyglot.util.Position pos)

Method Detail

### name

    public java.lang.String name()

  Specified by:
    `name` in interface `ExternalPrincipal`

### isRuntimeRepresentable

    public boolean isRuntimeRepresentable()

  Specified by:
    `isRuntimeRepresentable` in interface `Param`
  Specified by:
    `isRuntimeRepresentable` in class `Principal_c`

### isCanonical

    public boolean isCanonical()

  Specified by:
    `isCanonical` in interface `Param`
  Specified by:
    `isCanonical` in interface `polyglot.types.TypeObject`
  Specified by:
    `isCanonical` in class `Principal_c`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equalsImpl

    public boolean equalsImpl(polyglot.types.TypeObject o)

  Compares the specified object with this principal for equality. Return true if and only the specific object is an `ExternalPrincipal` and both principals have the same name.

  Specified by:
    `equalsImpl` in interface `polyglot.types.TypeObject`
  Specified by:
    `equalsImpl` in class `Principal_c`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `Principal_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD